@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');

* {
    padding: 0;
    margin: 0;
}

html {
    scrollbar-color: #3f3f3f #222222;
    /* thumb color, track color */
    scroll-behavior: smooth;
}

body {
    font-family: "Oswald", sans-serif;
}

.plot {
    background: url(images/skyline.jpg) no-repeat fixed;
    background-size: cover;
    background-position: center;
}

.why {
    background: url(images/batman.avif) no-repeat fixed;
    background-size: cover;
    background-position: center;
}

.learnmore {
    background: url(images/batman2.jpg) no-repeat fixed;
    background-position: center;
    background-size: cover;
}
.title {
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: linear-gradient(to top, #0d0d0dba, #0d0d0dba), url(images/dark-knight-background.jpg) no-repeat top center;
    background-size: cover;
    background-position: center;
}
.learnmore p a {
    color: white;
}



.title h1 {
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-style: normal;
    color: white;
    font-size: 10vh;
}

.title h2 {
    color: #c6c6c6;
}

.content1 {
    display: flex;
    height: 100vh;
    background-color: #0d0d0dba;
    color: white;
    padding-left: 4vw;
    padding-right: 4vw;
    text-align: center;
    align-items: center;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.content1 h3 {
    font-size: 7vh;
    margin-bottom: 4vh;
    text-align: center;
}

.content1 p {
    font-size: 4vh;
}


/* Container for sticky buttons */
.sticky-buttons {
    position: fixed;
    /* Stays in place while scrolling */
    top: 50%;
    /* Vertically centered */
    right: 10px;
    /* Distance from right edge */
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 10px;
    /* Space between buttons */
    z-index: 1000;
    /* Stay above other elements */
}

/* Button styling */
.sticky-buttons button {
    background-color: #1d1d1d62;
    color: white;
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease;
}

/* Hover effect */
.sticky-buttons button:hover {
    background-color: #eeeeee;
    color: black;
}